
struct MyData {
   func reverse(mylist: [String]) -> some Collection {
      let reversed = mylist.reversed()
      return reversed
   }
   func reverseArray() {
      let reversedlist = data.reverse(mylist: ["One", "Two", "Three", "Four", "Five"])
      print(Array(reversedlist))
      // "["Five", "Four", "Three", "Two", "One"]"
   }
}
let data = MyData()
data.reverseArray()
